
%-------------------------------------------------------------------------------
%   Draws a 2 dimensional or three dimensional map. Turns on mouse driven
%   3D rotation if mType == '3d'. String inputs are not case sensitive.
%   planet is the name of a .mat file with the variables planetMap and 
%   planetColorMap.
%   Your monitor must be set to thousands of colors.
%-------------------------------------------------------------------------------
%   Form:
%   p = Map( planet, mType, noNewFig )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   planet        (1,:)    Any planet name or the structure
%                          planet.planetMap
%                          planet.planetColorMap
%                          planet.radius
%   mType         (2,:)   '2d' or '3d' default is '3d'
%
%   -------
%   Outputs
%   -------
%   p             (:)      Planet image data structure
%
%-------------------------------------------------------------------------------