
%-------------------------------------------------------------------------------
%   Converts a quaternion to 3-2-1 Euler angles. 
%   Uses the input e(1) for e(1) near the singularity.
%-------------------------------------------------------------------------------
%   Form:
%   e = Q2Eul( q, e )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   q		(4,1)  Quaternion
%   e		(3,1)  Euler angles
%
%   -------
%   Outputs
%   -------
%   e		(3,1)  Euler angles
%
%-------------------------------------------------------------------------------