
%-------------------------------------------------------------------------------
%   Generate the quaternions that transform from ECI to LVLH coordinates.
%   For LVLH coordinates;
%   z is in the -r direction
%   y is in the - rxv direction
%   x completes the set
%-------------------------------------------------------------------------------
%   Form:
%   q = QLVLH( r, v )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   r          (3,n) Position vectors
%   v          (3,n) Velocity vectors
%
%   -------
%   Outputs
%   -------
%   q          (4,n) Quaternions
%
%-------------------------------------------------------------------------------