
%-------------------------------------------------------------------------------
%   Compute the Julian Date from the date. Uses the format from clock. If no
%   inputs are given, it will compute the Julian date for the instant
%   of the function call. Only works for dates after 1600. You may omit
%   the last three numbers (hour minute seconds) in the array.
%-------------------------------------------------------------------------------
%   Form:
%   jd = Date2JD( datetime )
%-------------------------------------------------------------------------------
%
%   ------
%   Inputs
%   ------
%   datetime      (1,6) [year month day hour minute seconds]
%                       or the datetime data structure.
%                               .year
%                               .month                             
%                               .day                             
%                               .hour                             
%                               .minute                             
%                               .second
%                       
%
%   -------
%   Outputs
%   -------
%   jd            (1,1) Julian date
%
%-------------------------------------------------------------------------------